| Home | Libraries | People | FAQ | More

## Global fd

boost::process::posix::fd

## Synopsis

    // In header: <boost/process/posix.hpp>

    unspecified fd;

## Description

This property lets you modify file-descriptors other than the standard ones (0,1,2).

It provides the functions `bind`, which implements dup2 and close.

Close can also be called with a range of file-descriptors to be closed.